## Entity Rest Extra

Extra Rest resources to enable access to entities configuration via Rest Resource

The following resources help to get admin information about Drupal to be used by 
external implementation i.e Headless Drupal.

This idea was suggested as a patch to Drupal 8 Core more information at 
https://www.drupal.org/node/2355291#comment-9241689

All resources require authentication with an user with permission 
*Administer content types*.


### Usage

Enable Rest Resources created by Entity Rest Extra.

Using the REST UI enable Rest Resources created by Entity Rest Extra, setting the 
Authentication and format JSON is recommended.

Users with a role with permission **Administer content types** will be able to consume 
Rest Resources.

### Get Entity bundles

**End Point:** _/{entity}/bundles_

**Entity:** could be any valid entity type i.e node or comment

#### Sample Output

```json
{
    "article": "Article",
    "page": "Basic page"
}
```

### Get view modes by Entity and Bundle

**End Point:** _/{entity}/{bundle}/view_modes_

**Entity:** could be any valid entity type i.e node or comment

**Bundle:** could be any valid bundle for entity provided i.e page, article

#### Sample Output

```json
{
    "node.article.default": "default",
    "node.article.rss": "rss",
    "node.article.teaser": "teaser"
}
```

### Get fields by Entity and Bundle

**End Point:** _/{entity}/{bundle}/fields_

**Entity:** could be any valid entity type i.e node or comment

**Bundle:** could be any valid bundle for entity provided i.e page, article

#### Output Sample

```json
{
    "body": {
    "uuid": "0614f505-95e1-4e36-8800-f8f8671a8e22",
    "langcode": "en",
    "status": true,
    .
    .
    .
    "id": "node.article.body",
    "field_name": "body",
    "entity_type": "node",
    "bundle": "article",
    "label": "Body",
    "description": "",
    "required": false,
    "translatable": true,
    .
    .
    .
}
```
